import { IconfontIcon } from "@/icons/fonts/iconfont";

export interface IconObject {
  name: IconfontIcon;
  size?: number;
  color?: string;
}

export interface IframeMsg {
  msgType: string;
  [key: string]: any;
}

export interface RegionsPointsItem {
  id: number;
  orgId: number;
  devGroupId: number;
  regionName: string;
  canvas: string;
  outsideDevGroupId: number;
  outsideDevId: number;
  outsideTempParamCode: string;
  outsideHumidityParamCode: string;
  outsideEnthalpyParamCode: string;
  outSideTemperature: string;
  outSideHumidity: string;
  outsideEnthalpy: string;
  avgTemperature: string;
  avgHumidity: string;
  points: MonitoringPointData[];
  name?: string;
}

export interface MonitoringPointData {
  id: number;
  name: string;
  status: number;
  temperature: string;
  humidity: string;
  tempUpper: number;
  tempLower: number;
  humidityUpper: number;
  humidityLower: number;
  tempData: CurvedData[];
  humidityData: CurvedData[];
}

export interface CurvedData {
  time: string;
  value: number;
}